Loading...
Searching...
No Matches
Dune::Amg::BaseConnectivityConstructor::ConnectedBuilder< G, S, V > Class Template Reference
Iterative Solvers Template Library (ISTL) » Iterative Solvers » Preconditioners » Parallel Algebraic Multigrid

Visitor for identifying connected aggregates during a breadthFirstSearch. More...

`#include <dune/istl/paamg/galerkin.hh>`

## Public Types

typedef G | Graph
| The type of the graph.
typedef Graph::ConstEdgeIterator | ConstEdgeIterator
| The constant edge iterator.
typedef S | Set
| The type of the connected set.
typedef V | VisitedMap
| The type of the map for marking vertices as visited.
typedef Graph::VertexDescriptor | Vertex
| The vertex descriptor of the graph.

## Public Member Functions

| ConnectedBuilder (const AggregatesMap< Vertex > &aggregates, Graph &graph, VisitedMap &visitedMap, Set &connected)
| Constructor.
void | operator() (const ConstEdgeIterator &edge)
| Process an edge pointing to another aggregate.

## Detailed Description

template<class G, class S, class V>
class Dune::Amg::BaseConnectivityConstructor::ConnectedBuilder< G, S, V >

Visitor for identifying connected aggregates during a breadthFirstSearch.

The documentation for this class was generated from the following file:

- galerkin.hh